::--------------------------------------------------
:: Defines global environmental variables.
::
:: WARNING: when set the variables below, DO NOT DO A BLANK ASSIGNMENT like set someVar=
:: if someVar is not currently an environmental variable, since in dos that will set errorlevel to 1
::--------------------------------------------------


::----------suppress echo


@echo off


::----------project variables


set rootDir=..
set classDir=%rootDir%\class
set docDir=%rootDir%\doc
set libDir=%rootDir%\lib
set scriptDir=%rootDir%\script
set srcDir=%rootDir%\src

set classPath=%classDir%
set classPath=%classPath%;%libDir%\commons-compress-20060814.jar
set classPath=%classPath%;%libDir%\jama.jar
set classPath=%classPath%;%libDir%\javamail-1.4.1.jar
::set classPath=%classPath%;%libDir%\jip-profile.jar
set classPath=%classPath%;%libDir%\jsci-core.jar
set classPath=%classPath%;%libDir%\junit-4.4.jar
set classPath=%classPath%;%libDir%\lma-1.3.jar
set classPath=%classPath%;%libDir%\mt-13.jar
set classPath=%classPath%;%libDir%\servlet-api-2.5.jar


::----------BuildTool variables


:: set if is currently unset; otherwise keep current value; this allows user to change it on the command line
if not "%btOutputLevel%"=="" goto endIf
	::set btOutputLevel=-quiet
	set btOutputLevel=-verbose
:endIf

set bt=java  -jar bt.jar

set shell=cmd /c
::--------------------CRITICAL: /c causes cmd to return after done executing the command; if leave off, would hang indefinitely

set btexec=%bt%  %btOutputLevel%  -exec  %shell%
